function QuestUnTracker_OnEvent(self, event, ...)
	local numQuests = GetNumQuestLogEntries()
	local questIndex

	-- Only event is UNIT_QUEST_LOG_CHANGED - argument for that event is unitID
	if not select(1, "...") == "player" then return end
	
	for questIndex = 1, numQuests do
		local title, _, _, _, isHeader, _, isComplete, _, _ = GetQuestLogTitle(questIndex)

		if IsQuestWatched(questIndex) then
			if isComplete == 1 then
				print("Quest '"..title.."' complete and removed from watch list.")
				RemoveQuestWatch(questIndex)
				WatchFrame_Update()
			end
		end
	end
end

--Creating the frame - just a placeholder for getting some events.
local f = CreateFrame("Frame", "QuestUnTracker");

--Registering events for it to respond to
f:RegisterEvent("UNIT_QUEST_LOG_CHANGED");

--Setting which script is used to handle OnEvent
f:SetScript("OnEvent", QuestUnTracker_OnEvent);
